<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	/** 
	  * funcion para mostrar nombre de autor */
		function e_autor( $id ){
			$autor = utf8_encode( _mysql_obtener_reg( MYSQL_PREFIJO_SISX . "usuarios", "id='$id'", "usuario" ) );			
			return $autor;
		}
	
	/** 
	  * funcion para mostrar nombre de sección */
		function e_seccion( $id ){
			$secc = utf8_encode( _mysql_obtener_reg( MYSQL_PREFIJO_SISX . "secciones", "id='$id'", "nombre" ) );			
			return ( $id > 0 ) ? $secc : ' &mdash; ';
		}
	
	//** Categorias
		function categorias(){
		
			$q = _mysql_query("SELECT * FROM " . MYSQL_PREFIJO_SISX . "categorias");
		
			$html = '<select class="fs-small" id="categoria" name="categoria"><option value="0">Ninguna</option>';
		
			while( $row = _mysql_fetch_array($q) ){
				$html .= '<option value="' . $row['id'] . '" ';
				$html .= ( com_obtReg( "articuloid" ) == $row['id'] ) ? 'selected' : NULL;
				$html .= '>' . utf8_encode( $row['nombre'] ) . '</option>';
			}
		
			$html .= '</select>';
		
			return $html;
		}
		
	//** Dependencia de publicaciones
		function dependencia_option( $id = 0, $padre = 0, $tab = '' ){
			$html = '';
			$sql = _mysql_query("SELECT * FROM " . MYSQL_PREFIJO_SISX . "contenido WHERE padreid='$padre'");
			while( $r = _mysql_fetch_array($sql) ){
				$html .= '<option value="' . $r['id'] . '"';
				$html .= ( $r['id'] == $id ) ? 'selected' : '';
				$html .= '>' . $tab . utf8_encode( $r['titulo'] ) . '</option>';
				$html .= dependencia_option( $id, $r['id'], $tab . " &nbsp; &brvbar; &hellip; " );
			}
			return $html;
		}
		
		function dependencia(){		
			$html = '<select class="fs-small" id="jerarquia" name="jerarquia">
						<option value="0">Ninguna</option>';
			$html .= dependencia_option( com_obtReg( "padreid" ) );
			$html .= '</select>';
			
			return $html;
		}
		
	//** Secciones
		function secciones(){
		
			$q = _mysql_query("SELECT * FROM " . MYSQL_PREFIJO_SISX . "secciones");
		
			$html = '<select class="fs-small" id="seccion" name="seccion"><option value="0">Ninguna</option>';
		
			while( $row = _mysql_fetch_array($q) ){
				$html .= '<option value="' . $row['id'] . '" ';
				$html .= ( com_obtReg( "seccionid" ) == $row['id'] ) ? 'selected' : NULL;
				$html .= '>' . utf8_encode( $row['nombre'] ) . '</option>';
			}
		
			$html .= '</select>';
		
			return $html;
		}
	
?>

	<div class="m-t-30 m-b-20"><?php echo com_boton( 'nuevo' ); ?></div>
	<table class="table fs-small">
		<thead>
			<tr>
				<th colspan="2" width="40%"><?php echo etiqueta( 'th_titulo', 'Título' ) ?></th>
				<th class="m-ocultar"><?php echo etiqueta( 'th_orden', 'Orden' ) ?></th>
				<th class="m-ocultar"><?php echo etiqueta( 'th_autor', 'Autor' ) ?></th>
				<th><?php echo etiqueta( 'th_fecha', 'Fecha' ) ?></th>
				<th>&nbsp;</th>
			</tr>
		</thead>
		<tbody>
			<?php
				$q = _mysql_query( "SELECT * FROM " . MYSQL_PREFIJO_SISX . "contenido ORDER BY modificado DESC LIMIT 0,50" );
				while( $r = _mysql_fetch_array( $q ) ){
					//$habilitado	= ( $r['publicado'] == true ) ? 1 : 0;
					
					echo '<tr>
								<td>' . com_btnToggle( 'pu'.$r['id'], $r['id'], $r['publicado'], false, 'onClick="publicado(this)"' ) . '</td>
								<td><a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" style="font-size:13px"><strong>' . utf8_encode( $r['titulo'] ) . '</strong></a><br><span style="font-size:95%">Seccion: ' . e_seccion( $r['seccionid'] ) . '</span></td>
								<td class="m-ocultar" align="center">' . $r['orden'] . '</td>
								<td class="m-ocultar">' . e_autor( $r['autor'] ) . '</td>
								<td>' . etiqueta( 'e_ultModificacion', 'Última modificación' ) . '<br>' . fecha( $r['modificado'], 'D j M Y', 'es_ES', yPanel::cuenta_usuario( 'utc' ) ) . '</td>
								<td>
									<a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" class="ico16" title="' . etiqueta( 'e_editar', 'Editar' ) . '"><i class="fa fa-edit fs-18"></i></a>
									<a href="javascript:;" onClick="rElim(\'' . $r['id'] . '\');" class="ico16" title="' . etiqueta( 'e_eliminar', 'Eliminar' ) . '"><i class="fa fa-trash fs-18"></i></a>';
									
								
					echo '		</td>
							</tr>';
				}
			?>
		</tbody>
	</table>
	
	<script>
			$_("#nuevo").onclick = function(){ location.href='<?php echo post_link( $_GET['panel'], NULL, "acc=agregar" ); ?>'; }
			
			publicado = function(e){
				$h = ( e.checked ) ? 1 : 0;
				MsjBox.mostrar('<?php echo etiqueta( 'msj_espere', 'espere...' ) ?>');
				$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'acc=r-habilitar&post=' + e.value + '&h=' + $h,
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
									if( respuesta == 1 ){
										 MsjBox.mostrar('<?php echo etiqueta( "msj_secambio_correctamente", 'Se cambió el estado correctamente' ) ?>');
									}
						}
				});
			}
			
			rElim = function(id){
				var opcion = confirm("<?php echo etiqueta( 'msj_seguro_eliminar', '¿Está seguro que desea eliminar el registro?' ) ?>");
    			if (opcion == true) {
					MsjBox.mostrar('<?php echo etiqueta( 'msj_eliminando', 'Eliminando' ) ?>...');
					$y.ajax({
							url: '<?php echo com_base() ?>prcss.php',
							metodo: 'POST',
							data: 'acc=r-eliminar&post=' + id,
							contenidoTipo: 'application/x-www-form-urlencoded',
							suceso: function(respuesta){ 
										if( respuesta == 1 ){
											 MsjBox.mostrar('<?php echo etiqueta( 'msj_reg_eliminado', 'El registro se eliminó correctamente.' ) ?>');
											 setTimeout("location.reload();",800);
										}
							}
					});
				}
			}
	</script>
	